aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xe17/e_utils/e_utils.SlackBuild2
-rwxr-xr-xe17/eclair/eclair.SlackBuild2
-rwxr-xr-xe17/engage/engage.SlackBuild122
-rw-r--r--e17/engage/slack-required9
-rwxr-xr-xe17/enlightenment/enlightenment.SlackBuild2
-rwxr-xr-xe17/entrance/entrance.SlackBuild2
-rwxr-xr-xe17/etk/etk.SlackBuild122
-rw-r--r--e17/etk/slack-required7
-rwxr-xr-xe17/examine/examine.SlackBuild122
-rw-r--r--e17/examine/slack-required8
-rwxr-xr-xefl/ecore/ecore.SlackBuild2
-rwxr-xr-xefl/edb/edb.SlackBuild2
-rwxr-xr-xefl/edje/edje.SlackBuild2
-rwxr-xr-xefl/eet/eet.SlackBuild2
-rwxr-xr-xefl/embryo/embryo.SlackBuild2
-rwxr-xr-xefl/emotion/emotion.SlackBuild2
-rwxr-xr-xefl/engrave/engrave.SlackBuild2
-rwxr-xr-xefl/epeg/epeg.SlackBuild2
-rwxr-xr-xefl/epsilon/epsilon.SlackBuild2
-rwxr-xr-xefl/esmart/esmart.SlackBuild2
-rwxr-xr-xefl/evas/evas.SlackBuild2
-rwxr-xr-xefl/ewl/ewl.SlackBuild2
-rwxr-xr-xefl/exml/exml.SlackBuild2
-rwxr-xr-xefl/imlib2/imlib2.SlackBuild2
24 files changed, 408 insertions, 18 deletions
diff --git a/e17/e_utils/e_utils.SlackBuild b/e17/e_utils/e_utils.SlackBuild
index c917b503..5750bb7e 100755
--- a/e17/e_utils/e_utils.SlackBuild
+++ b/e17/e_utils/e_utils.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/e17"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/apps/e_utils" ]; then
+if [ -d "$SRC_DIR/e17/apps/e_utils" ]; then
cd $SRC_DIR/e17/apps/e_utils
cvs update || exit $ERROR_CVS
else
diff --git a/e17/eclair/eclair.SlackBuild b/e17/eclair/eclair.SlackBuild
index 689dc85f..353f655f 100755
--- a/e17/eclair/eclair.SlackBuild
+++ b/e17/eclair/eclair.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/e17"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/apps/eclair" ]; then
+if [ -d "$SRC_DIR/e17/apps/eclair" ]; then
cd $SRC_DIR/e17/apps/eclair
cvs update || exit $ERROR_CVS
else
diff --git a/e17/engage/engage.SlackBuild b/e17/engage/engage.SlackBuild
new file mode 100755
index 00000000..46d18166
--- /dev/null
+++ b/e17/engage/engage.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for engage
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building engage are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="engage"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/engage"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/misc/engage" ]; then
+ cd $SRC_DIR/misc/engage
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co misc/engage || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/misc/engage
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+engage: engage
+engage:
+engage: Dynamic iconbar
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/e17/engage/slack-required b/e17/engage/slack-required
new file mode 100644
index 00000000..6befb4d2
--- /dev/null
+++ b/e17/engage/slack-required
@@ -0,0 +1,9 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
+ewl
+etk
diff --git a/e17/enlightenment/enlightenment.SlackBuild b/e17/enlightenment/enlightenment.SlackBuild
index c02fa72f..a7824d13 100755
--- a/e17/enlightenment/enlightenment.SlackBuild
+++ b/e17/enlightenment/enlightenment.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/e17"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/apps/e" ]; then
+if [ -d "$SRC_DIR/e17/apps/e" ]; then
cd $SRC_DIR/e17/apps/e
cvs update || exit $ERROR_CVS
else
diff --git a/e17/entrance/entrance.SlackBuild b/e17/entrance/entrance.SlackBuild
index 68e211e9..d96ab47b 100755
--- a/e17/entrance/entrance.SlackBuild
+++ b/e17/entrance/entrance.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/e17"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/apps/entrance" ]; then
+if [ -d "$SRC_DIR/e17/apps/entrance" ]; then
cd $SRC_DIR/e17/apps/entrance
cvs update || exit $ERROR_CVS
else
diff --git a/e17/etk/etk.SlackBuild b/e17/etk/etk.SlackBuild
new file mode 100755
index 00000000..14cd375c
--- /dev/null
+++ b/e17/etk/etk.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for etk
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building etk are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="etk"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/proto/etk" ]; then
+ cd $SRC_DIR/e17/proto/etk
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/proto/etk || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/proto/etk
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+etk: etk
+etk:
+etk: Etk is a toolkit based on the EFL.
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/e17/etk/slack-required b/e17/etk/slack-required
new file mode 100644
index 00000000..d7daf94a
--- /dev/null
+++ b/e17/etk/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
diff --git a/e17/examine/examine.SlackBuild b/e17/examine/examine.SlackBuild
new file mode 100755
index 00000000..72a7c796
--- /dev/null
+++ b/e17/examine/examine.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for examine
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building examine are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="examine"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_CVS=42
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/apps/examine" ]; then
+ cd $SRC_DIR/e17/apps/examine
+ cvs update || exit $ERROR_CVS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_CVS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/apps/examine || exit $ERROR_CVS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/apps/examine
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+examine: examine
+examine:
+examine: Examine is an interface for configuring applications that use
+examine: ecore_config from the Enlightenment Foundation Libraries (EFL).
+examine: In the Examine package are two applications, examine (still
+examine: very basic) and exsh. These applications connect to the
+examine: configuration library and allow the user to alter configurations.
+examine:
+examine:
+examine:
+examine:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/e17/examine/slack-required b/e17/examine/slack-required
new file mode 100644
index 00000000..4df8c756
--- /dev/null
+++ b/e17/examine/slack-required
@@ -0,0 +1,8 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
+ewl
diff --git a/efl/ecore/ecore.SlackBuild b/efl/ecore/ecore.SlackBuild
index 7f1f64f2..72efb036 100755
--- a/efl/ecore/ecore.SlackBuild
+++ b/efl/ecore/ecore.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/ecore" ]; then
+if [ -d "$SRC_DIR/e17/libs/ecore" ]; then
cd $SRC_DIR/e17/libs/ecore
cvs update || exit $ERROR_CVS
else
diff --git a/efl/edb/edb.SlackBuild b/efl/edb/edb.SlackBuild
index 925cb2f0..44da3d30 100755
--- a/efl/edb/edb.SlackBuild
+++ b/efl/edb/edb.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/edb" ]; then
+if [ -d "$SRC_DIR/e17/libs/edb" ]; then
cd $SRC_DIR/e17/libs/edb
cvs update || exit $ERROR_CVS
else
diff --git a/efl/edje/edje.SlackBuild b/efl/edje/edje.SlackBuild
index 16f9739c..6e270935 100755
--- a/efl/edje/edje.SlackBuild
+++ b/efl/edje/edje.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/edje" ]; then
+if [ -d "$SRC_DIR/e17/libs/edje" ]; then
cd $SRC_DIR/e17/libs/edje
cvs update || exit $ERROR_CVS
else
diff --git a/efl/eet/eet.SlackBuild b/efl/eet/eet.SlackBuild
index e2633a61..61d3464e 100755
--- a/efl/eet/eet.SlackBuild
+++ b/efl/eet/eet.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/eet" ]; then
+if [ -d "$SRC_DIR/e17/libs/eet" ]; then
cd $SRC_DIR/e17/libs/eet
cvs update || exit $ERROR_CVS
else
diff --git a/efl/embryo/embryo.SlackBuild b/efl/embryo/embryo.SlackBuild
index 0d0dce36..509b25c0 100755
--- a/efl/embryo/embryo.SlackBuild
+++ b/efl/embryo/embryo.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/embryo" ]; then
+if [ -d "$SRC_DIR/e17/libs/embryo" ]; then
cd $SRC_DIR/e17/libs/embryo
cvs update || exit $ERROR_CVS
else
diff --git a/efl/emotion/emotion.SlackBuild b/efl/emotion/emotion.SlackBuild
index 4ea864c0..41802fa9 100755
--- a/efl/emotion/emotion.SlackBuild
+++ b/efl/emotion/emotion.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/emotion" ]; then
+if [ -d "$SRC_DIR/e17/libs/emotion" ]; then
cd $SRC_DIR/e17/libs/emotion
cvs update || exit $ERROR_CVS
else
diff --git a/efl/engrave/engrave.SlackBuild b/efl/engrave/engrave.SlackBuild
index 00be360a..686c2b07 100755
--- a/efl/engrave/engrave.SlackBuild
+++ b/efl/engrave/engrave.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/engrave" ]; then
+if [ -d "$SRC_DIR/e17/libs/engrave" ]; then
cd $SRC_DIR/e17/libs/engrave
cvs update || exit $ERROR_CVS
else
diff --git a/efl/epeg/epeg.SlackBuild b/efl/epeg/epeg.SlackBuild
index d2ade30a..9d8b9f61 100755
--- a/efl/epeg/epeg.SlackBuild
+++ b/efl/epeg/epeg.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/epeg" ]; then
+if [ -d "$SRC_DIR/e17/libs/epeg" ]; then
cd $SRC_DIR/e17/libs/epeg
cvs update || exit $ERROR_CVS
else
diff --git a/efl/epsilon/epsilon.SlackBuild b/efl/epsilon/epsilon.SlackBuild
index afd641f2..6e08f755 100755
--- a/efl/epsilon/epsilon.SlackBuild
+++ b/efl/epsilon/epsilon.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/epsilon" ]; then
+if [ -d "$SRC_DIR/e17/libs/epsilon" ]; then
cd $SRC_DIR/e17/libs/epsilon
cvs update || exit $ERROR_CVS
else
diff --git a/efl/esmart/esmart.SlackBuild b/efl/esmart/esmart.SlackBuild
index 3e84be86..036c0d29 100755
--- a/efl/esmart/esmart.SlackBuild
+++ b/efl/esmart/esmart.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/esmart" ]; then
+if [ -d "$SRC_DIR/e17/libs/esmart" ]; then
cd $SRC_DIR/e17/libs/esmart
cvs update || exit $ERROR_CVS
else
diff --git a/efl/evas/evas.SlackBuild b/efl/evas/evas.SlackBuild
index a6e71f85..64e7eb11 100755
--- a/efl/evas/evas.SlackBuild
+++ b/efl/evas/evas.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/evas" ]; then
+if [ -d "$SRC_DIR/e17/libs/evas" ]; then
cd $SRC_DIR/e17/libs/evas
cvs update || exit $ERROR_CVS
else
diff --git a/efl/ewl/ewl.SlackBuild b/efl/ewl/ewl.SlackBuild
index eb66f3a9..81ef468b 100755
--- a/efl/ewl/ewl.SlackBuild
+++ b/efl/ewl/ewl.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/ewl" ]; then
+if [ -d "$SRC_DIR/e17/libs/ewl" ]; then
cd $SRC_DIR/e17/libs/ewl
cvs update || exit $ERROR_CVS
else
diff --git a/efl/exml/exml.SlackBuild b/efl/exml/exml.SlackBuild
index a8c7e229..56734b4e 100755
--- a/efl/exml/exml.SlackBuild
+++ b/efl/exml/exml.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/exml" ]; then
+if [ -d "$SRC_DIR/e17/libs/exml" ]; then
cd $SRC_DIR/e17/libs/exml
cvs update || exit $ERROR_CVS
else
diff --git a/efl/imlib2/imlib2.SlackBuild b/efl/imlib2/imlib2.SlackBuild
index 7721288e..5a4d21fa 100755
--- a/efl/imlib2/imlib2.SlackBuild
+++ b/efl/imlib2/imlib2.SlackBuild
@@ -51,7 +51,7 @@ ERROR_PATCH=40; ERROR_CVS=42
SRC_DIR="$SRC_DIR/efl"
mkdir -p $SRC_DIR
-if [ -d "$SRC_DIR/libs/imlib2" ]; then
+if [ -d "$SRC_DIR/e17/libs/imlib2" ]; then
cd $SRC_DIR/e17/libs/imlib2
cvs update || exit $ERROR_CVS
else